summaryrefslogtreecommitdiff
path: root/bin/extra/gdbcore
diff options
context:
space:
mode:
authorRaymaekers Luca <luca@spacehb.net>2025-01-21 23:05:03 +0100
committerRaymaekers Luca <luca@spacehb.net>2025-01-21 23:05:03 +0100
commita5d21a49ccdc6141790085d4bd26b667b8d5618d (patch)
treec952cf834458da4938dfca837abe6323283d2bb8 /bin/extra/gdbcore
parentefcd2b7cdb03a354bd4311bac75953738ec34e4f (diff)
checkpoint
Diffstat (limited to 'bin/extra/gdbcore')
-rwxr-xr-xbin/extra/gdbcore4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/extra/gdbcore b/bin/extra/gdbcore
index 6daafa8..f44a020 100755
--- a/bin/extra/gdbcore
+++ b/bin/extra/gdbcore
@@ -11,8 +11,9 @@
cache="$HOME/.cache/gdbcore_prog"
-if [ "$#" -lt 1 ]; then
+if [ "$1" = "-h" ]; then
>&2 printf 'usage: gdbcore [-r] <program>\n'
+ exit 1
fi
if [ "$1" = "-r" ]; then
@@ -64,6 +65,7 @@ else
line="$(sed -n "${nr}p" "$tmp")"
corefile="$coredir"/"${line%% *}"
fi
+>&2 printf 'corefile: %s\n' "$corefile"
if [ ! -f "$corefile" ]; then
rm -f "$tmp"